local 间隔时间 = 1000
local 任务名称 = "除恶天劫楼"
local npc = "付劫生"
local 怪物名称 = "天劫楼恶人"
local x = 67
local y = 76
FirstObjects(2)
function 除恶天劫楼()
	local 任务进度 = 取任务进度(任务名称)
	打印信息("当前任务进度"..任务进度)
	if 任务进度 == -1 then       --任务未接受	
		if 取对话栏内容() == "#{TJL_090714_02}" then
			if 在地图("天劫楼") == 1 then 
				地图寻路(82,81) 
				while 在地图("天劫楼") == 1 do 打印信息("任务完成 ..正在传送") 延迟(间隔时间*2) end 
			end 
			打印信息("任务已经完成，脚本结束")
			return
		end
		if 在地图("天劫楼") == -1 then
			if 取距离(94,201) > 20 then 召唤坐骑(1) end		
			跨图寻路(94,201,"大理")
		else
			地图寻路(73,79)
		end
		对话npc(npc)
		延迟(间隔时间)
		对话选项("#{TJL_xml_XX(01)}")
		延迟(间隔时间)
		接受任务()
		延迟(间隔时间)
		return 除恶天劫楼()
	end

	if 任务进度 == 1 then--任务已完成 
		if 在地图("天劫楼") == 1 then 
			打印信息("在劫天楼里 开始寻路到npc地点")
			地图寻路(73,79)
		elseif
			取地图名() ~= "大理" or 取距离(94,201) > 20 then
			召唤坐骑(1)
			跨图寻路(94,201,"大理")	
		end
		对话npc(npc)
		延迟(间隔时间)
		对话选项("#{TJL_xml_XX(01)}")
		延迟(间隔时间)
		完成任务()
		延迟(间隔时间)
		if 取对话栏内容() == "#{TJL_090714_02}" then
			地图寻路(82,81)
			while 在地图("天劫楼") == 1 do 打印信息("任务完成 ..正在传送") 延迟(间隔时间*2) end
			return
		else
			对话选项("#{TJL_xml_XX(04)}")
			接受任务()
			return 除恶天劫楼()
		end
	end
	
	if 任务进度 == 0 then--任务未完成 
		if 在地图("天劫楼") == -1 then
			if 取距离(94,201) > 20 then 召唤坐骑(1) end	
			跨图寻路(94,201,"大理")
			召唤坐骑(0)
			对话npc(npc)
			对话选项("#{TJL_xml_XX(02)}")
			while 在地图("天劫楼") == -1 do 打印信息("正在传送到劫天楼") 延迟(间隔时间*2) end
		end
		local 角色门派 = 取角色门派()
		if 角色门派 == "少林" or 角色门派 == "明教" or 角色门派 == "丐帮" then
			地图寻路(80,58)
		else
			地图寻路(x,y)
		end
		召唤坐骑(0)
		while 取任务进度(任务名称) ~= 1 do
			local 出战珍兽 = 取自定义参数(4)
			--打印信息("出战珍兽名称:  "..出战珍兽)
			if 出战珍兽 ~= "" or 出战珍兽 ~= nil then
				if 取珍兽存在() ~= 1 then 珍兽出战(出战珍兽) end
			end
			打怪设置(怪物名称,0) 
		end
		return 除恶天劫楼()
	end
end

除恶天劫楼()